GDCM: gdcm::Table Class Reference

GDCM 3.2.5

Public Types | Public Member Functions | Public Attributes | Friends | List of all members
gdcm::Table Class Reference

Table. More...

`#include <gdcmTable.h>`

Collaboration diagram for gdcm::Table:
[legend]

## Public Types
typedef std::map< Tag, TableEntry > | MapTableEntry

## Public Member Functions
| Table ()=default
| Table (const Table &_val)=delete
| ~Table ()=default
const TableEntry & | GetTableEntry (const Tag &tag) const
void | InsertEntry (Tag const &tag, TableEntry const &te)
Table & | operator= (const Table &_val)=delete

## Public Attributes
MapTableEntry | TableInternal

## Friends
std::ostream & | operator<< (std::ostream &_os, const Table &_val)

## Detailed Description

Table.

## Member Typedef Documentation

## ◆ MapTableEntry

typedef std::map<Tag, TableEntry> gdcm::Table::MapTableEntry

## Constructor & Destructor Documentation

## ◆ Table() [1/2]

gdcm::Table::Table | ( |  | ) |
| default

Referenced by Table(), operator<<, and operator=().

## ◆ ~Table()

gdcm::Table::~Table | ( |  | ) |
| default

## ◆ Table() [2/2]

gdcm::Table::Table | ( | const Table & | _val | ) |
| delete

References Table().

## Member Function Documentation

## ◆ GetTableEntry()

const TableEntry & gdcm::Table::GetTableEntry | ( | const Tag & | tag | ) | const
| inline

References gdcm_assert, GetTableEntry(), and TableInternal.

Referenced by GetTableEntry().

## ◆ InsertEntry()

void gdcm::Table::InsertEntry | ( | Tag const & | tag,
|  | TableEntry const & | te )
| inline

References gdcm_assert, and TableInternal.

## ◆ operator=()

Table & gdcm::Table::operator= | ( | const Table & | _val | ) |
| delete

References Table().

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | _os,
|  | const Table & | _val )
| friend

References Table().

## Member Data Documentation

## ◆ TableInternal

MapTableEntry gdcm::Table::TableInternal

Referenced by GetTableEntry(), and InsertEntry().

The documentation for this class was generated from the following file:

- gdcmTable.h